Bug 873293

Summary: custom storage ui fails to create lvm unless all disks have free space
Product: [Fedora] Fedora Reporter: Jan Stodola <jstodola>
Component: anacondaAssignee: David Lehman <dlehman>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 18CC: anaconda-maint-list, awilliam, g.kaviyarasu, jonathan, joshua, kparal, mbanas, robatino, satellitgo, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: AcceptedNTH RejectedBlocker
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-06 02:27:28 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 752665    
Attachments:
Description Flags
anaconda-tb-all.log none

Description Jan Stodola 2012-11-05 09:01:46 EST
Description of problem:


Version-Release number of selected component (if applicable):
anaconda 18-24

How reproducible:
always

Steps to Reproduce:
1. start graphical installation on a system with (at least) two disks (for example 2 x 8 GB)
2. select both disks, make sure that "LVM" partitioning scheme is selected and go to custom partitioning screen
3. remove all partitions
4. create "/" mount point, size must be bigger than any of selected drives (10 GB)
5. change Device type from "LVM" to "Standard Partition" and click "Apply Changes" (size is correctly reduced to cca 8 GB to fit to one disk)
6. create /boot mount point, size 500 MB
  
Actual results:
Failed to add new device:
not enough free space on disks

Expected results:
/boot is created
Comment 1 Jan Stodola 2012-11-05 09:03:00 EST
Created attachment 638646 [details]
anaconda-tb-all.log
Comment 2 Chris Lumens 2012-11-21 14:26:29 EST
The reproducer is still valid as of anaconda in git today.
Comment 3 Kamil Páral 2012-11-28 12:07:23 EST
This seems to hit this criteria:
" The installer must be able to create and install to any workable partition layout using any file system offered in a default installer configuration, LVM, software, hardware or BIOS RAID, or combination of the above "
https://fedoraproject.org/wiki/Fedora_18_Final_Release_Criteria

+1 blocker
Comment 4 Adam Williamson 2012-11-29 14:15:15 EST
Discussed at 2012-11-29 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-11-29/f18final-blocker-review-1.1.2012-11-29-17.01.log.txt . As there is no crash and this is at least theoretically recoverable, and it is workaroundable in the sense of 'doctor it hurts', agreed this is rejected as blocker but accepted as NTH.
Comment 5 Fedora Update System 2012-12-01 19:27:22 EST
pykickstart-1.99.22-1.fc18, anaconda-18.34-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-19380/pykickstart-1.99.22-1.fc18,anaconda-18.34-1.fc18
Comment 6 Fedora Update System 2012-12-02 14:26:53 EST
Package pykickstart-1.99.22-1.fc18, anaconda-18.34-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pykickstart-1.99.22-1.fc18 anaconda-18.34-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19380/pykickstart-1.99.22-1.fc18,anaconda-18.34-1.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-05 18:11:53 EST
Package pykickstart-1.99.22-1.fc18, anaconda-18.35-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pykickstart-1.99.22-1.fc18 anaconda-18.35-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19380/pykickstart-1.99.22-1.fc18,anaconda-18.35-1.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-12-06 02:27:32 EST
pykickstart-1.99.22-1.fc18, anaconda-18.35-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Kamil Páral 2012-12-06 06:47:45 EST
Verified in anaconda 18.36.
Comment 10 joshua 2012-12-06 11:51:52 EST
How / where can I download the F18 netboot ISO to try this again?
Comment 11 Kamil Páral 2012-12-07 04:07:21 EST
Joshua, we have some smoke composes here:
http://dl.fedoraproject.org/pub/alt/qa/
Very soon, some Final Test Composes will appear also here:
http://dl.fedoraproject.org/pub/alt/stage/